Subject: Conclusion of Adoption Call for <draft-templin-6man-omni-interface>

From: Bob Hinden <[email-masked]>
Date: Wed, 7 Oct 2020 17:55:29 -0700

This concludes the adoption call of <draft-templin-6man-omni-interface-27>.

There were four responses to the adoption call:

Tony Whyman <[email-masked]>
"I am willing to join the design team."
https://mailarchive.ietf.org/arch/msg/ipv6/3O3KgczOZ-nRAHd3a0eWjdRbJ60

"Mr. Jaehoon Paul Jeong" <[email-masked]>
"I would like to join the design team of the OMNI draft."
https://mailarchive.ietf.org/arch/msg/ipv6/lcttbr96dVeaG1GTZuWQAhTci7Q/

Michael Richardson <[email-masked]>
"The document is very complete (-27!), and 6man should have adopted it awhile ago.   It being very complete is an issue for me.  This work has it's own external design team, and I guess the plan is that all of those people will form the core of an IETF/6man design team.  But, actually I wonder if it shouldn't have it's own WG.
erihttps://mailarchive.ietf.org/arch/msg/ipv6/Xv9IGt-KJKMbT-rfaXqBPzOUCY8

"Templin (US), Fred L" <[email-masked]>
"Michael Richardson had the profound comment that maybe this would be a good use for the
long-deprecated IPv6 SLA address range (fec0::/10). I think maybe he has a point, but I believe
we would need the IETF to tell us that is the way to go - any thoughts?”
https://mailarchive.ietf.org/arch/msg/ipv6/yab4PFF4irzEaEWMKc83nYl0Tmc

This is not enough support to adopt this in the 6man working group, nor sufficient volunteers to form a design team.  There isn’t enough interest in this work to make it successful.

This document is not adopted.

We note that this document has been updated eighteen times since we started the adoption call, the current version is <draft-templin-6man-omni-interface-45>.    The scope of the document has increased, it updates RFC1191, RFC3879, RFC4291, RFC4443, and RFC8201, as well as allocating a /10 of IPv6 address space.  Fred Templin described it on 6 Oct 2020 as a "next-generation IPv6-based Mobile Internet”.   We think that this goes well beyond what was required by the ICAO liaison letter.

We have discussed this with our area directors.  They suggested that this work could be proposed as a BOF.   We think that this should be investigated due to its current scope and that it may broaden the set of people interested in working on it.

Bob and Ole
6MAN chairs

> On Jul 29, 2020, at 1:50 PM, Bob Hinden <[email-masked]> wrote:
> 
> This message starts a two week 6MAN call on adopting:
> 
> Title:          Transmission of IPv6 Packets over Overlay Multilink Network (OMNI) Interfaces
> Authors:        F. Templin, A. Whyman
> File Name:      draft-templin-6man-omni-interface-27
> Document date:  2020-04-09
> 
> https://datatracker.ietf.org/doc/html/draft-templin-6man-omni-interface-27
> 
> as a working group document. Substantive comments and statements of support for adopting this document should be directed to the mailing list.  Editorial suggestions can be sent to the authors.  This adoption call will end on 12 August 2020.
> 
> It’s our understanding that the main focus of this work is for networking aircraft with IPv6.   There is a liaison statement from the Members of the International Civil Aviation Organization (ICAO) titled "The OMNI Interface - An IPv6 Air/Ground Interface for Civil Aviation”.  It can be found here:
> 
> https://datatracker.ietf.org/liaison/1676/
> 
> This provides a good summary of what the intent of this work is.
> 
> The chairs note that this specification is much broader than a usual IPv6 over <Foo> specification, for example it proposes updating RFC4193, RFC4291, RFC4443, and RFC8201, and is in some ways defines a new IPv6 mobile architecture.   We believe is needs careful review by the 6MAN working group.
> 
> The adoption question for the 6MAN working group is do we want to take on this work.   Once that happens, the w.g.controls what is included in the document.
> 
> We think that a good way to proceed after adoption would be to form a design team which can review the requirements and make a recommendation to the 6MAN working group regarding which mechanisms should be standardized.  If you have the interest and time to participate in an OMNI design team, please include that in your response to this adoption call.   Getting enough volunteers for the design team is an essential part of adopting this document.
> 
> Ole & Bob
> 
>

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Thu, 8 Oct 2020 14:09:50 +0000

Bob,

> This is not enough support to adopt this in the 6man working group, nor sufficient volunteers to form a design team. 

It is true that this statement is supported by the lack of responses on the list.

> There isn’t enough interest in this work to make it successful.

On this, I disagree. Insufficient volunteers to form a design team and/or
insufficient messages on the list does not necessarily imply lack of interest.

> We note that this document has been updated eighteen times since we started the adoption call, the current version is <draft-
> templin-6man-omni-interface-45>.

The document is now at draft-templin-6man-omni-interface-47, and has therefore
been updated twenty times since the start. Each update was necessary, and driven
primarily by *implementation experience* and secondarily by a push for completion.
As you know, draft updates are very easily tracked by competent engineers with the
rfcdiff tool and/or data tracker "History" button. The implementation is now very far
along and we are pushing for a public release before the end of the year. Running
code matters, and the draft now reflects what is possible in a practical implementation.

> The scope of the document has increased, it updates RFC1191, RFC3879, RFC4291, RFC4443, and
> RFC8201, as well as allocating a /10 of IPv6 address space

It is well proven that updates to these documents are possible.  For RFC1191, RFC4443,
and RFC8201 the "update" is to simply define a new Code value "1" in the message header.
For RFC3879 and RFC4291 the "update" is to simply un-deprecate the currently deprecated
fec0::/10 site local prefix (the /10 you mentioned) to make good use of an otherwise
wasted resource.

> Fred Templin described it on 6 Oct 2020 as a "next-generation IPv6-based Mobile Internet”.
> We think that this goes well beyond what was required by the ICAO liaison letter.

I told a truth, and I have shown that what is good for ICAO is also good for all forms
of worldwide air and ground transportation. For that, I am not sorry.

Fred

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Bob Hinden
> Sent: Wednesday, October 07, 2020 5:55 PM
> To: IPv6 List <[email-masked]>
> Cc: Bob Hinden <[email-masked]>
> Subject: [EXTERNAL] Conclusion of Adoption Call for <draft-templin-6man-omni-interface>
> 
> "The document is very complete (-27!), and 6man should have adopted it awhile ago.   It being very complete is an issue for me.  This
> work has it's own external design team, and I guess the plan is that all of those people will form the core of an IETF/6man design team.
> But, actually I wonder if it shouldn't have it's own WG.
> This is not enough support to adopt this in the 6man working group, nor sufficient volunteers to form a design team.  There isn’t
> enough interest in this work to make it successful.
> 
> We note that this document has been updated eighteen times since we started the adoption call, the current version is <draft-
> templin-6man-omni-interface-45>.    The scope of the document has increased, it updates RFC1191, RFC3879, RFC4291, RFC4443, and
> RFC8201, as well as allocating a /10 of IPv6 address space.  Fred Templin described it on 6 Oct 2020 as a "next-generation IPv6-based
> Mobile Internet”.   We think that this goes well beyond what was required by the ICAO liaison letter.
> 
> We have discussed this with our area directors.  They suggested that this work could be proposed as a BOF.   We think that this should
> be investigated due to its current scope and that it may broaden the set of people interested in working on it.
> 
> Bob and Ole
> 6MAN chairs
> 
> 
> 
> > as a working group document. Substantive comments and statements of support for adopting this document should be directed to
> the mailing list.  Editorial suggestions can be sent to the authors.  This adoption call will end on 12 August 2020.
> >
> > It’s our understanding that the main focus of this work is for networking aircraft with IPv6.   There is a liaison statement from the
> Members of the International Civil Aviation Organization (ICAO) titled "The OMNI Interface - An IPv6 Air/Ground Interface for Civil
> Aviation”.  It can be found here:
> >
> > The chairs note that this specification is much broader than a usual IPv6 over <Foo> specification, for example it proposes updating
> RFC4193, RFC4291, RFC4443, and RFC8201, and is in some ways defines a new IPv6 mobile architecture.   We believe is needs careful
> review by the 6MAN working group.
> >
> > We think that a good way to proceed after adoption would be to form a design team which can review the requirements and make a
> recommendation to the 6MAN working group regarding which mechanisms should be standardized.  If you have the interest and time
> to participate in an OMNI design team, please include that in your response to this adoption call.   Getting enough volunteers for the
> design team is an essential part of adopting this document.
> >
> > Ole & Bob
> >
> >